=== Source_Files/Misc/Makefile ===
# Makefile.in generated by automake 1.11.1 from Makefile.am.
# Source_Files/Misc/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
# Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.




pkgdatadir = $(datadir)/AlephOne
pkgincludedir = $(includedir)/AlephOne
pkglibdir = $(libdir)/AlephOne
pkglibexecdir = $(libexecdir)/AlephOne
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-unknown-linux-gnu
host_triplet = x86_64-unknown-linux-gnu
target_triplet = x86_64-unknown-linux-gnu
subdir = Source_Files/Misc
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
LIBRARIES = $(noinst_LIBRARIES)
AR = ar
ARFLAGS = cru
libmisc_a_AR = $(AR) $(ARFLAGS)
libmisc_a_LIBADD =
am__libmisc_a_SOURCES_DIST = ActionQueues.h alephversion.h binders.h \
	CircularByteBuffer.h CircularQueue.h Console.h game_errors.h \
	interface.h interface_menus.h key_definitions.h Logging.h \
	Logging_gruntwork.h PlayerImage_sdl.h PlayerName.h \
	preference_dialogs.h preferences.h preferences_widgets_sdl.h \
	progress.h Random.h Scenario.h sdl_dialogs.h sdl_network.h \
	sdl_widgets.h shared_widgets.h thread_priority_sdl.h \
	vbl_definitions.h vbl.h VecOps.h WindowedNthElementFinder.h \
	AlephSansMono-Bold.h powered_by_alephone.h ActionQueues.cpp \
	CircularByteBuffer.cpp Console.cpp game_errors.cpp \
	interface.cpp Logging.cpp PlayerImage_sdl.cpp PlayerName.cpp \
	preferences.cpp preference_dialogs.cpp \
	preferences_widgets_sdl.cpp Scenario.cpp sdl_dialogs.cpp \
	thread_priority_sdl_posix.cpp thread_priority_sdl_win32.cpp \
	sdl_widgets.cpp shared_widgets.cpp vbl.cpp
am__objects_1 =  \
	thread_priority_sdl_posix.$(OBJEXT)
#am__objects_1 =  \
#	thread_priority_sdl_win32.$(OBJEXT)
am_libmisc_a_OBJECTS = ActionQueues.$(OBJEXT) \
	CircularByteBuffer.$(OBJEXT) Console.$(OBJEXT) \
	game_errors.$(OBJEXT) interface.$(OBJEXT) Logging.$(OBJEXT) \
	PlayerImage_sdl.$(OBJEXT) PlayerName.$(OBJEXT) \
	preferences.$(OBJEXT) preference_dialogs.$(OBJEXT) \
	preferences_widgets_sdl.$(OBJEXT) Scenario.$(OBJEXT) \
	sdl_dialogs.$(OBJEXT) $(am__objects_1) sdl_widgets.$(OBJEXT) \
	shared_widgets.$(OBJEXT) vbl.$(OBJEXT)
libmisc_a_OBJECTS = $(am_libmisc_a_OBJECTS)
DEFAULT_INCLUDES = -I. -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
am__mv = mv -f
CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
CXXLD = $(CXX)
CXXLINK = $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) \
	-o $@
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
SOURCES = $(libmisc_a_SOURCES) $(EXTRA_libmisc_a_SOURCES)
DIST_SOURCES = $(am__libmisc_a_SOURCES_DIST) \
	$(EXTRA_libmisc_a_SOURCES)
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/rantalai/maemo/marathon/uusi/marathon/aleph-1.0/missing --run aclocal-1.11
AMTAR = ${SHELL} /home/rantalai/maemo/marathon/uusi/marathon/aleph-1.0/missing --run tar
AUTOCONF = ${SHELL} /home/rantalai/maemo/marathon/uusi/marathon/aleph-1.0/missing --run autoconf
AUTOHEADER = ${SHELL} /home/rantalai/maemo/marathon/uusi/marathon/aleph-1.0/missing --run autoheader
AUTOMAKE = ${SHELL} /home/rantalai/maemo/marathon/uusi/marathon/aleph-1.0/missing --run automake-1.11
AWK = gawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2
CPP = gcc -E
CPPFLAGS =   -I/usr/include/libpng12     -I/usr/include/libpng12      -I/usr/include/SDL -D_GNU_SOURCE=1 -D_REENTRANT -DSDL -I/usr/include/SDL -D_GNU_SOURCE=1 -D_REENTRANT -DSDL
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EXEEXT = 
GREP = /bin/grep
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LDFLAGS = 
LIBOBJS = 
LIBS = -lasound -lspeexdsp -lspeex -lvorbisfile -lvorbis -lm -logg   -lsndfile -lsmpeg -lpng12   -Wl,-Bsymbolic-functions -lzzip -lz   -lz -lSDL_net -lSDL_ttf -lSDL_image  -L/usr/lib -lSDL
LTLIBOBJS = 
MAKEINFO = ${SHELL} /home/rantalai/maemo/marathon/uusi/marathon/aleph-1.0/missing --run makeinfo
MKDIR_P = /bin/mkdir -p
OBJEXT = o
PACKAGE = AlephOne
PACKAGE_BUGREPORT = http://sourceforge.net/bugs/?group_id=1997
PACKAGE_NAME = Aleph One/SDL
PACKAGE_STRING = Aleph One/SDL 20110717
PACKAGE_TARNAME = AlephOne
PACKAGE_URL = 
PACKAGE_VERSION = 20110717
PATH_SEPARATOR = :
PKG_CONFIG = /usr/bin/pkg-config
PKG_CONFIG_LIBDIR = 
PKG_CONFIG_PATH = 
PNG_CFLAGS = -I/usr/include/libpng12  
PNG_LIBS = -lpng12  
RANLIB = ranlib
SDL_CFLAGS = -I/usr/include/SDL -D_GNU_SOURCE=1 -D_REENTRANT
SDL_CONFIG = /usr/bin/sdl-config
SDL_LIBS = -L/usr/lib -lSDL
SET_MAKE = 
SHELL = /bin/sh
STRIP = 
VERSION = 20110717
VORBISFILE_CFLAGS =  
VORBISFILE_LIBS = -lvorbisfile -lvorbis -lm -logg  
WINDRES = 
ZZIP_CFLAGS =  
ZZIP_LIBS = -Wl,-Bsymbolic-functions -lzzip -lz  
abs_builddir = /home/rantalai/maemo/marathon/uusi/marathon/aleph-1.0/Source_Files/Misc
abs_srcdir = /home/rantalai/maemo/marathon/uusi/marathon/aleph-1.0/Source_Files/Misc
abs_top_builddir = /home/rantalai/maemo/marathon/uusi/marathon/aleph-1.0
abs_top_srcdir = /home/rantalai/maemo/marathon/uusi/marathon/aleph-1.0
ac_ct_CC = gcc
ac_ct_CXX = g++
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build = x86_64-unknown-linux-gnu
build_alias = 
build_cpu = x86_64
build_os = linux-gnu
build_vendor = unknown
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = x86_64-unknown-linux-gnu
host_alias = 
host_cpu = x86_64
host_os = linux-gnu
host_vendor = unknown
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /home/rantalai/maemo/marathon/uusi/marathon/aleph-1.0/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = /bin/mkdir -p
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr/local
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target = x86_64-unknown-linux-gnu
target_alias = 
target_cpu = x86_64
target_os = linux-gnu
target_vendor = unknown
top_build_prefix = ../../
top_builddir = ../..
top_srcdir = ../..
noinst_LIBRARIES = libmisc.a
THREAD_PRIORITY = thread_priority_sdl_posix.cpp
#THREAD_PRIORITY = thread_priority_sdl_win32.cpp
libmisc_a_SOURCES = ActionQueues.h alephversion.h binders.h CircularByteBuffer.h \
  CircularQueue.h Console.h game_errors.h \
  interface.h interface_menus.h key_definitions.h Logging.h Logging_gruntwork.h \
  PlayerImage_sdl.h \
  PlayerName.h preference_dialogs.h preferences.h \
  preferences_widgets_sdl.h progress.h Random.h Scenario.h sdl_dialogs.h sdl_network.h \
  sdl_widgets.h shared_widgets.h thread_priority_sdl.h vbl_definitions.h vbl.h VecOps.h \
  WindowedNthElementFinder.h AlephSansMono-Bold.h powered_by_alephone.h \
  \
  ActionQueues.cpp CircularByteBuffer.cpp Console.cpp game_errors.cpp \
  interface.cpp \
  Logging.cpp PlayerImage_sdl.cpp PlayerName.cpp preferences.cpp \
  preference_dialogs.cpp preferences_widgets_sdl.cpp Scenario.cpp sdl_dialogs.cpp $(THREAD_PRIORITY) \
  sdl_widgets.cpp shared_widgets.cpp vbl.cpp

EXTRA_libmisc_a_SOURCES = alephone.xpm alephone32.xpm thread_priority_sdl_posix.cpp thread_priority_sdl_dummy.cpp thread_priority_sdl_win32.cpp thread_priority_sdl_macosx.cpp
INCLUDES = -I$(top_srcdir)/Source_Files/CSeries -I$(top_srcdir)/Source_Files/Files \
  -I$(top_srcdir)/Source_Files/GameWorld -I$(top_srcdir)/Source_Files/Input \
  -I$(top_srcdir)/Source_Files/Lua -I$(top_srcdir)/Source_Files/ModelView -I$(top_srcdir)/Source_Files/Network \
  -I$(top_srcdir)/Source_Files/Network/Metaserver \
  -I$(top_srcdir)/Source_Files/Pfhortran -I$(top_srcdir)/Source_Files/RenderMain \
  -I$(top_srcdir)/Source_Files/RenderOther -I$(top_srcdir)/Source_Files/Sound \
  -I$(top_srcdir)/Source_Files/TCPMess \
  -I$(top_srcdir)/Source_Files/XML -I$(top_srcdir)/Source_Files/Expat \
  -I$(top_srcdir)/Source_Files

all: all-am

.SUFFIXES:
.SUFFIXES: .cpp .o .obj
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign Source_Files/Misc/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --foreign Source_Files/Misc/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):

clean-noinstLIBRARIES:
	-test -z "$(noinst_LIBRARIES)" || rm -f $(noinst_LIBRARIES)
libmisc.a: $(libmisc_a_OBJECTS) $(libmisc_a_DEPENDENCIES) 
	-rm -f libmisc.a
	$(libmisc_a_AR) libmisc.a $(libmisc_a_OBJECTS) $(libmisc_a_LIBADD)
	$(RANLIB) libmisc.a

mostlyclean-compile:
	-rm -f *.$(OBJEXT)

distclean-compile:
	-rm -f *.tab.c

include ./$(DEPDIR)/ActionQueues.Po
include ./$(DEPDIR)/CircularByteBuffer.Po
include ./$(DEPDIR)/Console.Po
include ./$(DEPDIR)/Logging.Po
include ./$(DEPDIR)/PlayerImage_sdl.Po
include ./$(DEPDIR)/PlayerName.Po
include ./$(DEPDIR)/Scenario.Po
include ./$(DEPDIR)/game_errors.Po
include ./$(DEPDIR)/interface.Po
include ./$(DEPDIR)/preference_dialogs.Po
include ./$(DEPDIR)/preferences.Po
include ./$(DEPDIR)/preferences_widgets_sdl.Po
include ./$(DEPDIR)/sdl_dialogs.Po
include ./$(DEPDIR)/sdl_widgets.Po
include ./$(DEPDIR)/shared_widgets.Po
include ./$(DEPDIR)/thread_priority_sdl_dummy.Po
include ./$(DEPDIR)/thread_priority_sdl_macosx.Po
include ./$(DEPDIR)/thread_priority_sdl_posix.Po
include ./$(DEPDIR)/thread_priority_sdl_win32.Po
