=== debian/changelog ===
alephone (1.0-4652-maemo1) unstable; urgency=low

   * Svn-4652
   * disable-opengl (https://sourceforge.net/tracker/?func=detail&aid=3283901&group_id=1997&atid=101997)
   * Disable SDL_WM_SetIcon

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Sun, 11 Dec 2011 14:44:40 +0200
