=== debian/control ===
Source: alephone
Section: user/games
Priority: optional
Maintainer: Aapo Rantalainen <aapo.rantalainen@gmail.com> 
Build-Depends: debhelper (>= 5.0.42),
 libsdl1.2-dev, libsdl-image1.2-dev, libsdl-net1.2-dev, libsdl-ttf2.0-dev,
 libasound2-dev, libsndfile1-dev,
 libspeex-dev, libspeexdsp-dev, 
 libvorbis-dev, libogg-dev,
 libmad0-dev,
 libsmpeg-dev, libpulse-dev,
 zlib1g-dev, libzzip-dev,
 libpng12-dev, libjpeg62-dev, libtiff4-dev,
 libfreetype6-dev,
 libboost-dev [arm armel],
 libboost1.38-dev [i386], libboost-iostreams1.38-dev [i386]
Standards-Version: 3.8.1
Homepage: http://marathon.sourceforge.net/

Package: alephone
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Aleph One is the open source continuation of Bungie's Marathon 2 FPS game engine. 
 Aleph One plays Marathon 2, Infinity, and 3rd-party content on a wide array of platforms,
 with (optional) OpenGL rendering, Internet play, Lua scripting, and more. 
XSBC-Bugtracker: https://sourceforge.net/tracker/?group_id=1997&atid=101997
